## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Sphinx-generated HTML documentation is not suitable for packaging; see
# https://bugzilla.redhat.com/show_bug.cgi?id=2006555 for discussion.
#
# We generate PDF documentation as a substitute.
%bcond_without doc_pdf

Name:           python-transforms3d
Version:        0.4.2
Release:        %autorelease
Summary:        Functions for 3D coordinate transformations

%global forgeurl https://github.com/matthew-brett/transforms3d
%global tag %{version}
%forgemeta

# The entire source is BSD-2-Clause, except:
#   - transforms3d/_gohlketransforms.py is derived from a BSD-3-Clause original
#     source, so is BSD-3-Clause or possibly (BSD-2-Clause AND BSD-3-Clause)
#   - versioneer.py and original/transformations.py are not installed and do
#     not contribute to the license of the binary RPMs.
License:        BSD-2-Clause AND BSD-3-Clause
URL:            https://matthew-brett.github.io/transforms3d/
Source:         %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
BuildRequires:  tex(morefloats.sty)
%endif

%global common_description %{expand:
Code to convert between various geometric transformations.

  • Composing rotations / zooms / shears / translations into affine matrix;
  • Decomposing affine matrix into rotations / zooms / shears / translations;
  • Conversions between different representations of rotations, including:
      • 3x3 Rotation matrices;
      • Euler angles;
      • quaternions.}

%description %{common_description}

%package -n python3-transforms3d
Summary:        %{summary}

Recommends:     python3dist(sympy)

%description -n python3-transforms3d %{common_description}

%package doc
Summary:        Documentation and examples for transforms3d

%description doc %{common_description}

%prep
%forgeautosetup -p1

%generate_buildrequires
%{pyproject_buildrequires %{?with_doc_pdf:doc-requirements.txt} \
    test-requirements.txt}

%build
%pyproject_wheel

%if %{with doc_pdf}
# Note that doc/Makefile is customized rather than taken directly from
# sphinx-quickstart output.
PYTHONPATH="${PWD}/build/lib" %make_build -C doc pdf \
    SPHINXOPTS='-j%{?_smp_build_ncpus}' \
    PYTHON='%{python3}' \
    LATEXMKOPTS='-quiet'
%endif

%install
%pyproject_install
%pyproject_save_files -l transforms3d

%check
%pytest

%files -n python3-transforms3d -f %{pyproject_files}

%files doc
%license LICENSE
%doc README.rst
%if %{with doc_pdf}
%doc doc/_build/latex/transforms3d.pdf
%endif

%changelog
## START: Generated by rpmautospec
* Sat Oct 12 2024 Sandro <devel@penguinpee.nl> - 0.4.2-1
- Update to 0.4.2 (RHBZ#2293731)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Python Maint <python-maint@redhat.com> - 0.4.1-11
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.1-8
- Assert that a license file is present in the .dist-info directory

* Thu Oct 12 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.1-6
- Replace deprecated %%{pyproject_build_lib} macro

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 01 2023 Python Maint <python-maint@redhat.com> - 0.4.1-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Sep 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.1-2
- Add a -doc subpackage with PDF documentation

* Mon Sep 05 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.1-1
- Update to 0.4.1 (close RHBZ#2122030)

* Sun Sep 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-23
- Update License to SPDX

* Sun Sep 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-22
- Port to pyproject-rpm-macros

* Sun Sep 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-21
- Use HTTPS in the URL

* Sun Sep 04 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.3.1-20
- Update summary and description from latest PyPI release

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.3.1-17
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-15
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.3.1-14
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-11
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-9
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-8
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug 21 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-5
- Drop python2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.3.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 06 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Mar 11 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.3-1
- Update to 0.3

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 06 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.1-3
- Backport another upstream patch

* Sun Nov 01 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.1-2
- Backport patch from upstream (nipy/nipy)

* Sun Nov 01 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.2.1-1
- Initital package

## END: Generated by rpmautospec
